【漏洞预警】Jenkins任意文件读取漏洞CVE-2024-23897

admin 2024年1月26日09:01:48评论218 views字数 650阅读2分10秒阅读模式

【漏洞预警】Jenkins任意文件读取漏洞CVE-2024-23897

漏洞预警:
Jenkins是一款由Java编写的开源的持续集成工具,近日监测到Jenkins中修复了一个任意文件读取漏洞(CVE-2024-23897),该漏洞的CVSSv3评分为9.8。Jenkins 有一个内置的命令行界面(CLI),可从脚本或 shell 环境访问 Jenkins。处理 CLI 命令时, Jenkins 使用args4j 库解析 Jenkins 控制器上的命令参数和选项。
由于Jenkins受影响版本中默认启用其CLI命令解析器的一个功能,特定的解析器功能expandAtFiles可将@参数中后跟文件路径的字符替换为文件内容,可能导致威胁者读取 Jenkins 控制器文件系统上的任意文件,或可以进一步利用该漏洞在多种情况下导致远程代码执行。

影响范围:
Jenkins 版本<= 2.441

Jenkins 版本<= LTS 2.426.2

安全措施:
升级版本
目前该漏洞已经修复,受影响用户可升级到Jenkins 2.442、LTS 2.426.3

下载链接:
https://www.jenkins.io/download/

临时措施:
无法立即更新到 Jenkins 2.442、LTS 2.426.3的管理员可禁用对CLI的访问来缓解该漏洞

参考链接:
https://spring.io/security/cve-2024-22233/

https://spring.io/projects/spring-framework/

原文始发于微信公众号(飓风网络安全):【漏洞预警】Jenkins任意文件读取漏洞CVE-2024-23897

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2024年1月26日09:01:48
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   【漏洞预警】Jenkins任意文件读取漏洞CVE-2024-23897https://cn-sec.com/archives/2432322.html

发表评论

匿名网友 填写信息